| Home | Libraries | People | FAQ | More

## Struct template is_interval_container<icl::separate_interval_set< DomainT, Compare, Interval, Alloc >>

boost::icl::is_interval_container<icl::separate_interval_set< DomainT, Compare, Interval, Alloc >>

## Synopsis

    // In header: <boost/icl/separate_interval_set.hpp>

    template<typename DomainT, ICL_COMPARE Compare,
             ICL_INTERVAL(ICL_COMPARE) Interval, ICL_ALLOC Alloc>
    struct is_interval_container<icl::separate_interval_set< DomainT, Compare, Interval, Alloc >> {
      // types
      typedef is_interval_container< icl::separate_interval_set< DomainT, Compare, Interval, Alloc > > type;

      // public member functions
       BOOST_STATIC_CONSTANT(bool, value = true);
    };

## Description

### `is_interval_container` public member functions

1.      BOOST_STATIC_CONSTANT(bool, value = true);